#include <stdio.h>
int main(){
	int N,i,k,sum=0;
	scanf("%d%d",&N,&k);
	int A[N];
	for(i=0;i<N;i++){
		scanf("%d",&A[i]);
	}
	
	if(k==0){
		
		for(i=0;i<N;i++){
			sum=sum+A[i];
		}
		
		
	}
	else{
		
		for(i=0;i<N;i++){
			sum=sum+(i+1)*(N-i)*A[i];
		}	
		
	}
	
	printf("%d",sum);
	return 0;
	
}